"""Ce fichier contient un certain nombre de fonctions
d'aide pour aider les élèves dans la manipulation de fichiers.
"""
import csv
import folium

def charger_csv(nom_fichier):
    table = []

    with open(nom_fichier, 'r') as csvfile: # ouverture du fichier
        lecteur = csv.DictReader(csvfile, delimiter=',') #création du lecteur
        for ligne in lecteur: #On ajoute les éléments lus à la liste.
            table.append(ligne)

    return table

def exporter_carte(table, nom_fichier):
    carte = folium.Map(location=(46.72056359974178, 2.4921811245203966), zoom_start=6)

    for l in table:
        coords=(float(l["latitude"]), float(l["longitude"]))
        folium.Marker(coords,popup=f"{l['nom']}",icon=folium.Icon(color="green")).add_to(carte)

    carte.save(nom_fichier)

def afficher_table(table):
    if len(table) == 0:
        return 
    
    entete = list(table[0].keys())
    largeur = {}

    for k in entete:
        largeur[k] = len(k)

    for l in table:
        for k in entete:
            if largeur[k] < len(str(l[k])):
                largeur[k] = len(str(l[k]))
    
    resultat = ""
    
    resultat += "| " + entete[0].ljust(largeur[entete[0]])
    for k in entete[1:] : 
        resultat += " | " + k.ljust(largeur[k])
    resultat += " |\n"

    resultat += "|-" + "-" * largeur[entete[0]]
    for k in entete[1:] :
        resultat += "-|-" + "-" * largeur[k]
    resultat += "-|\n"

    for l in table:
        resultat += "| " + l[entete[0]].ljust(largeur[entete[0]])
        for k in entete[1:] : 
            resultat += " | " + l[k].ljust(largeur[k])
        resultat += " |\n"
        
    print(resultat)
