def fusion_ligne(ligne1, ligne2):
    """ligne1 et ligne2 des dictionnaires.
    retourne une copie de ligne1 où les paires clé:valeurs de ligne2 ne correspondant pas à une clé de ligne1 ont étés ajoutées.

    >>> fusion_ligne({"a":1, "b":2}, {"a":2, "c":3})
    {"a":1, "b":2, "c":3}
    """
    fusion = ligne1.copy()
    for c in ligne2:
        if not c in fusion:
            fusion[c] = ligne2[c]
    return fusion

def fusion_insee(localisation, population):
    localisation.sort(key=lambda l:l["code_insee"])
    population.sort(key=lambda l:l["code_insee"])

    communes = []

    i = 0
    while i < len(localisation):
        ligne = fusion_ligne(localisation[i], population[i])
        communes.append(ligne)
        i = i + 1

    return communes

def plus_de_50000(localisation, population):
    ## Vous devez implémenter cette fonction

from aide import * 
population = charger_csv("population.csv")
localisation = charger_csv("localisation.csv")
communes = plus_de_50000(localisation, population)
exporter_carte(communes, "exercice14_carte.html")
